"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Created by rburson on 10/16/17.
 */
const util_1 = require("./util");
var ClientMode;
(function (ClientMode) {
    ClientMode[ClientMode["ONLINE"] = 0] = "ONLINE";
    ClientMode[ClientMode["OFFLINE"] = 1] = "OFFLINE";
})(ClientMode = exports.ClientMode || (exports.ClientMode = {}));
class ClientResponse {
    constructor(value, statusCode) {
        this.value = value;
        this.statusCode = statusCode;
    }
}
exports.ClientResponse = ClientResponse;
class JsonClientResponse extends ClientResponse {
    constructor(value, statusCode) {
        util_1.Log.debug(`JsonClientResponse: [status]:${statusCode} [body]:${util_1.Log.prettyPrint(value)}`);
        super(value, statusCode);
    }
}
exports.JsonClientResponse = JsonClientResponse;
class BlobClientResponse extends ClientResponse {
    constructor(value, statusCode) {
        super(value, statusCode);
    }
}
exports.BlobClientResponse = BlobClientResponse;
class TextClientResponse extends ClientResponse {
    constructor(value, statusCode) {
        super(value, statusCode);
    }
}
exports.TextClientResponse = TextClientResponse;
class VoidClientResponse extends ClientResponse {
    constructor(statusCode) {
        super(undefined, statusCode);
    }
}
exports.VoidClientResponse = VoidClientResponse;
