"use strict";
/**
 * Created by rburson on 8/25/17.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const test = require("tape");
const catavolt_test_1 = require("../catavolt-test");
let [tenantId, userId, password, baseUrl, sessionId] = ['solarsource', 'rburson', 'catreact-test-1', 'https://dialog.hxgn-api.net/v0', null];
test("POST Test", (t) => {
    t.plan(3);
    const login = { userId: userId, password: password, clientType: 'DESKTOP', deviceProperties: {} };
    new catavolt_test_1.FetchClient().postJson(baseUrl, `tenants/${tenantId}/sessions`, login).then(jsonClientResponse => {
        t.ok(jsonClientResponse);
        t.equal(jsonClientResponse.statusCode, 200);
        t.ok(jsonClientResponse.value['id']);
        sessionId = jsonClientResponse.value['id'];
    }).catch(error => {
        t.error(error);
    });
});
test("GET Test", (t) => {
    t.plan(4);
    new catavolt_test_1.FetchClient().getJson(baseUrl, `tenants/${tenantId}/sessions/${sessionId}`).then(jsonClientResponse => {
        t.ok(jsonClientResponse);
        t.equal(jsonClientResponse.statusCode, 200);
        t.ok(jsonClientResponse.value['id']);
        t.equal(sessionId, jsonClientResponse.value['id']);
    }).catch(error => {
        t.error(error);
    });
});
test("DELETE Test", (t) => {
    t.plan(2);
    new catavolt_test_1.FetchClient().deleteJson(baseUrl, `tenants/${tenantId}/sessions/${sessionId}`).then(jsonClientResponse => {
        t.ok(jsonClientResponse);
        t.equal(jsonClientResponse.statusCode, 200);
    }).catch(error => {
        t.error(error);
    });
});
