export declare class BriefcaseTemplate {
    static BRIEFCASE_REDIRECTION: {
        "dialogMode": string;
        "businessId": string;
        "referringObject": {
            "actionId": string;
            "type": string;
            "workbenchId": string;
        };
        "sessionId": string;
        "type": string;
        "dialogId": string;
        "viewMode": string;
        "dialogClassName": string;
        "dialogType": string;
        "businessClassName": string;
        "tenantId": string;
        "id": string;
        "selectedViewId": string;
        "dialogDescription": string;
    };
    static BRIEFCASE_DIALOG: {
        "recordDef": {
            "propertyDefs": ({
                "writeAllowed": boolean;
                "propertyName": string;
                "canCauseSideEffects": boolean;
                "upperCaseOnly": boolean;
                "propertyType": string;
                "semanticType": string;
                "length": number;
                "type": string;
                "writeEnabled": boolean;
            } | {
                "writeAllowed": boolean;
                "propertyName": string;
                "canCauseSideEffects": boolean;
                "upperCaseOnly": boolean;
                "propertyType": string;
                "semanticType": string;
                "type": string;
                "writeEnabled": boolean;
            })[];
            "type": string;
        };
        "dialogMode": string;
        "businessId": string;
        "description": string;
        "referringObject": {
            "actionId": string;
            "type": string;
            "workbenchId": string;
        };
        "sessionId": string;
        "type": string;
        "viewMode": string;
        "dialogClassName": string;
        "businessClassName": string;
        "view": {
            "formLayout": string;
            "name": string;
            "formStyle": string;
            "alias": string;
            "id": string;
            "title": string;
            "menu": {
                "visible": boolean;
                "children": {
                    "visible": boolean;
                    "children": {
                        "visible": boolean;
                        "modes": string[];
                        "actionId": string;
                        "iconUrl": string;
                        "id": string;
                        "label": string;
                        "type": string;
                    }[];
                    "id": string;
                    "label": string;
                    "type": string;
                }[];
                "id": string;
                "label": string;
                "type": string;
            };
            "type": string;
        };
        "children": ({
            "businessClassName": string;
            "view": {
                "commitButtonText": string;
                "editable": boolean;
                "name": string;
                "alias": string;
                "id": string;
                "menu": {
                    "visible": boolean;
                    "children": {
                        "visible": boolean;
                        "children": {
                            "visible": boolean;
                            "modes": string[];
                            "actionId": string;
                            "iconUrl": string;
                            "id": string;
                            "label": string;
                            "type": string;
                        }[];
                        "id": string;
                        "label": string;
                        "type": string;
                    }[];
                    "id": string;
                    "label": string;
                    "type": string;
                };
                "type": string;
                "rows": ({
                    "values": {
                        "type": string;
                        "value": string;
                    }[];
                    "type": string;
                } | {
                    "values": {
                        "autoFillCapable": boolean;
                        "propertyName": string;
                        "hint": any;
                        "displayLength": number;
                        "toolTip": string;
                        "type": string;
                        "entryMethod": any;
                        "actions": any[];
                    }[];
                    "type": string;
                })[][];
                "cancelButtonText": string;
            };
            "recordDef": {
                "propertyDefs": ({
                    "writeAllowed": boolean;
                    "propertyName": string;
                    "canCauseSideEffects": boolean;
                    "upperCaseOnly": boolean;
                    "propertyType": string;
                    "semanticType": string;
                    "length": number;
                    "type": string;
                    "writeEnabled": boolean;
                } | {
                    "writeAllowed": boolean;
                    "propertyName": string;
                    "canCauseSideEffects": boolean;
                    "upperCaseOnly": boolean;
                    "propertyType": string;
                    "semanticType": string;
                    "type": string;
                    "writeEnabled": boolean;
                })[];
                "type": string;
            };
            "dialogMode": string;
            "tenantId": string;
            "description": string;
            "id": string;
            "sessionId": string;
            "type": string;
            "viewMode": string;
            "selectedViewId": string;
            "dialogClassName": string;
        } | {
            "recordDef": {
                "propertyDefs": ({
                    "writeAllowed": boolean;
                    "propertyName": string;
                    "canCauseSideEffects": boolean;
                    "upperCaseOnly": boolean;
                    "propertyType": string;
                    "semanticType": string;
                    "length": number;
                    "type": string;
                    "writeEnabled": boolean;
                } | {
                    "writeAllowed": boolean;
                    "propertyName": string;
                    "canCauseSideEffects": boolean;
                    "upperCaseOnly": boolean;
                    "propertyType": string;
                    "semanticType": string;
                    "format": string;
                    "type": string;
                    "writeEnabled": boolean;
                })[];
                "type": string;
            };
            "supportsColumnStatistics": boolean;
            "dialogMode": string;
            "description": string;
            "sessionId": string;
            "type": string;
            "viewMode": string;
            "supportsPositionalQueries": boolean;
            "dialogClassName": string;
            "businessClassName": string;
            "view": {
                "fixedColumnCount": number;
                "columns": {
                    "propertyName": string;
                    "heading": string;
                    "type": string;
                }[];
                "name": string;
                "style": string;
                "id": string;
                "title": string;
                "menu": {
                    "visible": boolean;
                    "children": ({
                        "visible": boolean;
                        "modes": string[];
                        "actionId": string;
                        "iconUrl": string;
                        "id": string;
                        "label": string;
                        "type": string;
                    } | {
                        "visible": boolean;
                        "children": {
                            "visible": boolean;
                            "modes": string[];
                            "actionId": string;
                            "iconUrl": string;
                            "id": string;
                            "label": string;
                            "type": string;
                        }[];
                        "id": string;
                        "label": string;
                        "type": string;
                    })[];
                    "id": string;
                    "label": string;
                    "type": string;
                };
                "type": string;
            };
            "tenantId": string;
            "positionalQueryAbility": string;
            "id": string;
            "selectedViewId": string;
        } | {
            "recordDef": {
                "propertyDefs": ({
                    "writeAllowed": boolean;
                    "propertyName": string;
                    "canCauseSideEffects": boolean;
                    "upperCaseOnly": boolean;
                    "propertyType": string;
                    "semanticType": string;
                    "length": number;
                    "type": string;
                    "writeEnabled": boolean;
                } | {
                    "writeAllowed": boolean;
                    "propertyName": string;
                    "canCauseSideEffects": boolean;
                    "upperCaseOnly": boolean;
                    "semanticType": string;
                    "type": string;
                    "writeEnabled": boolean;
                })[];
                "type": string;
            };
            "supportsColumnStatistics": boolean;
            "dialogMode": string;
            "description": string;
            "sessionId": string;
            "type": string;
            "viewMode": string;
            "supportsPositionalQueries": boolean;
            "dialogClassName": string;
            "businessClassName": string;
            "view": {
                "fixedColumnCount": number;
                "columns": {
                    "propertyName": string;
                    "heading": string;
                    "type": string;
                }[];
                "name": string;
                "style": string;
                "id": string;
                "title": string;
                "menu": {
                    "visible": boolean;
                    "children": ({
                        "visible": boolean;
                        "modes": string[];
                        "actionId": string;
                        "iconUrl": string;
                        "id": string;
                        "label": string;
                        "type": string;
                    } | {
                        "visible": boolean;
                        "children": {
                            "visible": boolean;
                            "modes": string[];
                            "actionId": string;
                            "iconUrl": string;
                            "id": string;
                            "label": string;
                            "type": string;
                        }[];
                        "id": string;
                        "label": string;
                        "type": string;
                    })[];
                    "id": string;
                    "label": string;
                    "type": string;
                };
                "type": string;
            };
            "tenantId": string;
            "positionalQueryAbility": string;
            "id": string;
            "selectedViewId": string;
        })[];
        "tenantId": string;
        "id": string;
        "selectedViewId": string;
    };
    static BRIEFCASE_RECORD: {
        "annotations": any[];
        "id": string;
        "type": string;
        "properties": ({
            "name": string;
            "format": any;
            "annotations": any[];
            "type": string;
            "value": string;
        } | {
            "name": string;
            "format": any;
            "annotations": any[];
            "type": string;
            "value": boolean;
        })[];
    };
    static BRIEFCASE_WORKPACKAGES_RECORDSET: {
        "defaultActionId": any;
        "records": any[];
        "hasMore": boolean;
        "type": string;
    };
    static BRIEFCASE_WORKPACKAGE_RECORD_EXAMPLE: {
        "annotations": any[];
        "id": string;
        "type": string;
        "properties": {
            "name": string;
            "format": string;
            "annotations": any[];
            "type": string;
            "value": string;
        }[];
    };
}
