/**
 * Created by rburson on 8/23/17.
 */
import { StringDictionary } from "./util";
import { BlobClientResponse, Client, ClientMode, JsonClientResponse, TextClientResponse, VoidClientResponse } from "./client";
export declare class FetchClient implements Client {
    private _lastActivity;
    private _clientMode;
    constructor(clientMode?: ClientMode);
    getBlob(baseUrl: string, resourcePath?: string): Promise<BlobClientResponse>;
    getText(baseUrl: string, resourcePath?: string): Promise<TextClientResponse>;
    postMultipart(baseUrl: string, resourcePath: string, formData: FormData): Promise<VoidClientResponse>;
    getJson(baseUrl: string, resourcePath?: string, queryParams?: StringDictionary): Promise<JsonClientResponse>;
    readonly lastActivity: Date;
    postJson(baseUrl: string, resourcePath: string, jsonBody?: StringDictionary): Promise<JsonClientResponse>;
    putJson(baseUrl: string, resourcePath: string, jsonBody?: StringDictionary): Promise<JsonClientResponse>;
    deleteJson(baseUrl: string, resourcePath: string): Promise<JsonClientResponse>;
    setClientMode(clientMode: ClientMode): void;
    private assertJsonContentType(contentType);
    private encodeQueryParams(queryParams);
    private isJsonContentType(contentType);
    private processRequest(url, method, body?, headers?);
}
